%define _unpackaged_files_terminate_build 0

%define krispver 20150607
%define geover 20150607
%define uagent Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; SV1; .NET CLR 1.1.4322)

Summary: Korean ISP library database
Summary(ko): 한국 ISP 라이브러리 데이터베이스
Name: libkrisp-data
Version: %{krispver}
Release: 1
Epoch: 1
License: KRNIC and Maxmind
Group: System Environment/Libraries
BuildRequires: sqlite curl
Source2: scheme
URL: http://devel.oops.org
Buildroot: /var/tmp/%{name}-%{version}-root
BuildArchitectures: noarch

%define krisp_geoip_svc http://mirror.oops.org/pub/oops/libkrisp/data/v2/krisp-geoip.csv-%{geover}.gz

%description
Database for libkrisp

%description -l ko
libkrisp에서 사용하는 데이터베이스

%prep
%setup -c -T -n %{name}-%{version}
curl --user-agent "%{uagent}" -o krisp-geoip.csv-%{geover}.gz %{krisp_geoip_svc}

gzip -d *.gz
%{__ln_s} -f krisp-geoip.csv-%{geover} krisp-geoip.csv

%build
sqlite3 krisp.dat < %{SOURCE2}

%install
%{__mkdir_p} %{buildroot}%{_datadir}/krisp
%{__install} -m644 krisp-geoip.csv-%{geover} %{buildroot}%{_datadir}/krisp/krisp.csv
%{__install} -m644 krisp.dat %{buildroot}%{_datadir}/krisp/krisp.dat

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root)
%{_datadir}/krisp/krisp.dat
%{_datadir}/krisp/krisp.csv

%changelog
* Sun Jun 07 2015 JoungKyun.Kim <http://oops.org> 1:20150607-1
- update 20150607

* Sun May 10 2015 JoungKyun.Kim <http://oops.org> 1:20150510-1
- update 20150510

* Thu Apr  9 2015 JoungKyun.Kim <http://oops.org> 1:20150409-1
- update 20150409

* Sun Feb  8 2015 JoungKyun.Kim <http://oops.org> 1:20150208-1
- update 20150208

* Fri Jan  9 2015 JoungKyun.Kim <http://oops.org> 1:20150109-1
- update 20150109

* Thu Dec  4 2014 JoungKyun.Kim <http://oops.org> 1:20141204-1
- update 20141204

* Fri Nov  7 2014 JoungKyun.Kim <http://oops.org> 1:20141107-1
- update 20141107

* Wed Oct  8 2014 JoungKyun.Kim <http://oops.org> 1:20141008-1
- update 20141008

* Fri Aug  8 2014 JoungKyun.Kim <http://oops.org> 1:20140808-1
- update 20140808

* Mon Jun  9 2014 JoungKyun.Kim <http://oops.org> 1:20140609-1
- update 20140609

* Fri May  9 2014 JoungKyun.Kim <http://oops.org> 1:20140509-1
- update 20140509 data

* Wed Apr  9 2014 JoungKyun.Kim <http://oops.org> 1:20140409-1
- update 20140409 data

* Sun Mar  9 2014 JoungKyun.Kim <http://oops.org> 1:20140309-1
- update 20140309 data

* Fri Feb 14 2014 JoungKyun.Kim <http://oops.org> 1:20140214-1
- update 20140214 data

* Fri Jan 10 2014 JoungKyun.Kim <http://oops.org> 1:20140109-1
- update 20140109 data

* Wed Dec 11 2013 JoungKyun.Kim <http://oops.org> 1:20131211-1
- update 20131211 data

* Sat Nov  9 2013 JoungKyun.Kim <http://oops.org> 1:20131109-1
- update 20131109 data

* Tue Oct  8 2013 JoungKyun.Kim <http://oops.org> 1:20131008-1
- update 20131008 data

* Sun Sep  8 2013 JoungKyun.Kim <http://oops.org> 1:20130908-1
- update 20130908 data

* Fri Aug  9 2013 JoungKyun.Kim <http://oops.org> 1:20130809-1
- update 20130809 data

* Wed Jul 10 2013 JoungKyun.Kim <http://oops.org> 1:20130710-1
- update 20130710 data

* Mon Jun 17 2013 JoungKyun.Kim <http://oops.org> 1:20130617-1
- update 20130617 data

* Wed May 15 2013 JoungKyun.Kim <http://oops.org> 1:20130515-1
- update 20130515 data

* Sun Apr 14 2013 JoungKyun.Kim <http://oops.org> 1:20130414-1
- update 20130414 data

* Thu Mar 14 2013 JoungKyun.Kim <http://oops.org> 1:20130314-1
- update 20130314 data

* Fri Jan  4 2013 JoungKyun.Kim <http://oops.org> 1:20130104-1
- update 20130104 data

* Thu Nov 22 2012 JoungKyun.Kim <http://oops.org> 1:20121122-1
- update 20121122 data

* Mon Oct 20 2012 JoungKyun.Kim <http://oops.org> 1:20121020-1
- update 20121020 data

* Mon Sep 17 2012 JoungKyun.Kim <http://oops.org> 1:20120916-1
- update 20120916 data

* Wed Aug  9 2012 JoungKyun.Kim <http://oops.org> 1:20120809-1
- update 20120809 data

* Wed Apr 11 2012 JoungKyun.Kim <http://oops.org> 1:20120411-1
- update 20120411 data

* Fri Mar  9 2012 JoungKyun.Kim <http://oops.org> 1:20120309-1
- update 20120309 data

* Fri Feb 10 2012 JoungKyun.Kim <http://oops.org> 1:20120210-1
- update 20120210 data

* Tue Jan 24 2012 JoungKyun.Kim <http://oops.org> 1:20120105-1
- update 20120105 data

